﻿<!-- Content Header (Page header) -->
<section class="content-header">
    <h1 class="content-header vazir-font">
        <small>کاربران</small>
        پروفایل کاربری
    </h1>

    <ol ng-include src="'partials/breadcrumb.html'" class="breadcrumb"></ol>
</section>
<section class="text-center col-xs-12"  ng-show="profile==null">
    <h1 style="font-size: 90px;">404<small><small> not found</small></small></h1>
</section>

<section class="row" ng-show="profile">
    <div class="col-xs-12">
        <div class="col-md-3 col-sm-6 col-xs-12 pull-right">
            <!-- Profile Image -->
            <div class="box box-primary">
                <div class="box-body box-profile">
                    <img err-src="../images/Avatar.jpg" class="profile-user-img img-responsive img-circle" src="{{profile.FullPath}}"
                         alt="User profile picture">
                    <h3 class="profile-username text-center">{{profile.FullName|pNumber}}
                        <small ng-show="profile.Gender==0"><i class="fa fa-mars text-green"></i></small>
                        <small ng-hide="profile.Gender==0"><i class="fa fa-venus text-green"></i></small>
                    </h3>
                    <p ng-show="profile.Email" class="text-muted text-center">{{profile.Email}} <i
                            class="fa fa-envelope text-yellow"></i></p>
                    <p ng-show="profile.OrganizationName" class="text-muted text-center">
                        {{profile.OrganizationName|pNumber}} <i class="fa fa-university text-blue"></i></p>

                    <p ng-show="isOnline" class="text-muted text-center">آنلاین <i
                            class="fa fa-circle text-green"></i></p>
                    <ul class="list-group list-group-unbordered" style="margin-bottom: 10px">
                        <li class="list-group-item">
                            <a class="">{{profile.score|pNumber}}</a> <b class="pull-right">امتیاز</b>
                        </li>
                        <li class="list-group-item">
                            <a class="">{{profile.QuestionsCount|pNumber}}</a> <b class="pull-right">سوالات پرسیده</b>
                        </li>
                        <li class="list-group-item" style="border-bottom: none">
                            <a class="">{{profile.AnswerCount|pNumber}}</a> <b class="pull-right">جواب ها</b>
                        </li>
                    </ul>
                    <a ng-show="profile.PersonFollow == 0" class="btn btn-primary btn-block" ng-click="followPerson()"><b>دنبال کردن</b></a>
                    <a ng-hide="profile.PersonFollow == 0" class="btn btn-danger btn-block" ng-click="unFollowPerson()"><b>حذف از دنبال کننده ها</b></a>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
            <div class="box box-success">
                <div class="box-header with-border">
                    <h3 class="box-title">درباره من</h3>
                </div><!-- /.box-header -->
                <div class="box-body" style="direction: rtl;">
                    <strong ng-show="profile.Tel" class="text-blue"><i class="fa fa-phone"></i> شماره تلفن ثابت</strong>
                    <p class="text-muted">{{profile.Tel|pNumber}}
                    </p>
                    <hr ng-show="profile.Tel">
                    <strong  ng-show="profile.PhoneNumber" class="text-yellow"><i class="fa fa-mobile"></i> موبایل</strong>
                    <p class="text-muted"></p>
                    {{profile.PhoneNumber|pNumber}}
                    <hr ng-show="profile.PhoneNumber">
                    <strong ng-show="profile.SignupDate" class="text-aqua"><i class="fa fa-clock-o"></i> تاریخ عضویت</strong>
                    <p class="text-muted">{{profile.SignupDate | jalaliDate :'jYYYY/jMM/jDD'|pNumber}}</p>
                    <hr ng-show="profile.SignupDate">
                    <strong ng-show="profile.Skills.length!=0"  class="text-red"><i class="fa fa-pencil margin-r-5"></i> مهارت ها</strong>
                    <!--TODO tag color-->
                    <span ng-repeat="tag in profile.Skills" class="label label-success pull-right" style="margin: 5px">  {{tag.Skill|pNumber}}  <i class="fa fa-tag" aria-hidden="true"></i></span>
                    <hr ng-show="profile.Skills.length!=0">
                    <strong ng-show="profile.Description"  class="text-green"><i class="fa fa-file-text-o margin-r-5"></i> درباره من</strong>
                    <p>{{profile.Description|pNumber}}</p>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
            <!-- About Me Box -->
        </div>
        <!--<div class="col-sm-3 col-xs-12 pull-right">-->
            <!---->
        <!--</div>-->
        <div class="col-md-9 col-sm-6 col-xs-12">
            <div class="box box-warning">
                <div class="box-header with-border">
                    <h3 class="box-title vazir-font">نمودار فعالیت {{profile.FullName}}</h3>
                </div><!-- /.box-header -->
                <div class="box-body persian-rtl">
                    <div class="col-xs-12 text-center">
                        <ul class="nav nav-pills" style="padding-right: 0px;display: inline-block;">
                            <li style="padding-left: 20px">
                                <i class="fa fa-circle text-red"></i>
                                <span>جواب ها</span>
                            </li>
                            <li>
                                <i class="fa fa-circle" style="color: #00BBCC;"></i>
                                <span>سوال ها</span>
                            </li>
                        </ul>
                    </div>
                    <serial-chart
                            chart-id="chart1"
                            chart-data="profile.ChartData"
                            chart-graphs="incrementChartOptions"
                            chart-height="300"></serial-chart>
                </div>
            </div>
            <div class="box box-primary">
                <div class="box-header with-border">
                    <h3 class="box-title vazir-font">نمودار فعالیت {{profile.FullName}}</h3>
                </div><!-- /.box-header -->
                <div class="box-body persian-rtl">
                    <div class="col-xs-12 text-center">
                        <ul class="nav nav-pills" style="padding-right: 0px;display: inline-block;">
                            <li style="padding-left: 20px">
                                <i class="fa fa-circle text-red"></i>
                                <span>جواب ها</span>
                            </li>
                            <li>
                                <i class="fa fa-circle" style="color: #00BBCC;"></i>
                                <span>سوال ها</span>
                            </li>
                        </ul>
                    </div>
                    <serial-chart
                            chart-id="chart2"
                            chart-data="profile.ChartData"
                            chart-graphs="dailyChartOptions"
                            chart-height="300"></serial-chart>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
            <div class="box box-danger">
                <div class="box-body" style="direction: rtl;">
                    <div class="col-xs-12 no-padding">
                        <strong><i class="fa fa-calendar text-blue"></i>  آخرین سوال</strong>
                        <span class="description persian-rtl pull-left text-muted ng-binding" style="margin-right:4%"><i class="fa fa-clock-o text-yellow" aria-hidden="true"></i>    {{profile.LastQuestion.CreationDate | jalaliDate :'jYYYY/jMM/jDD'|pNumber}}</span>
                    </div>
                    <div class="row">
                        <div class="col-xs-12 persian-rtl">
                            <p style="margin-top: 5px" ng-if="profile.LastQuestion.ID">
                                {{profile.LastQuestion.Title|pNumber}}
                                <a href="#/question/{{profile.LastQuestion.ID}}">
                                    <i class="fa fa-angle-left fa-3x pull-left faa-horizontal animated-hover" ></i>
                                </a>
                            </p>
                            <p style="margin-top: 5px;font-size:20px" class="text-muted" ng-if="!profile.LastQuestion.ID">
                                یافت نشد.
                            </p>
                        </div>
                    </div>
                    <hr>
                    <div class="col-xs-12 no-padding">
                        <strong><i class="fa fa-check text-green"></i>  بهترین سوال</strong>
                        <span class="description persian-rtl pull-left text-muted ng-binding" style="margin-right:4%"><i class="fa fa-clock-o text-yellow" aria-hidden="true"></i>    {{profile.BestQuestion.CreationDate | jalaliDate :'jYYYY/jMM/jDD'|pNumber}}</span>
                    </div>
                    <div class="row">
                        <div class="col-xs-12 persian-rtl">
                            <p style="margin-top: 5px" ng-if="profile.BestQuestion.ID">
                                {{profile.BestQuestion.Title|pNumber}}
                                <a href="#/question/{{profile.BestQuestion.ID}}">
                                    <i class="fa fa-angle-left fa-3x pull-left faa-horizontal animated-hover"></i>
                                </a>
                            </p>
                            <p style="margin-top: 5px;font-size:20px" class="text-muted" ng-if="!profile.BestQuestion.ID">
                                یافت نشد.
                            </p>
                        </div>
                    </div>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div>
    </div>
</section>




